Subject: bug#30786: Save text properties in desktop

From: Drew Adams <[email-masked]>
Date: Tue, 13 Mar 2018 18:09:55 -0700 (PDT)

> > I guess this comment is relevant, you can easily have non-readable
> > property values, e.g.: (put-text-property 1 2 'foo (point-marker)).
> 
> If the only problem is with non-readable property values then we could
> check for such values and not to write them to the desktop file.
> 
> > Maybe solving Bug#24982 would help?
> 
> This would help on reading the desktop, but maybe better not to save
> non-readable values in the first place.

No.  If the problem is reading then that's where the solution
should be located - not writing.  It has happened quite a few
times that something unreadable by Emacs has later become
readable.

One of the important motivations behind bug #24982 is to let
Emacs version N be able to read (by ignoring) constructs that
it finds are unreadable but that are readable in Emacs version
N + M.

The sooner we get that bug fixed, the more versions of Emacs
will be able to benefit from it.  Users and code should be
able to make Emacs tolerant of read errors (by ignoring them).

We have `condition-case' for most errors.  We have little or
no control over read errors.

Dunno whether we need a complete read-error-handling construct
a la `condition-case', but we at least need a way to let Emacs
ignore all read errors.  And preferably within some scope (e.g.
let-bind a variable).